zenilib: TIntermSymbol Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
TIntermSymbol Class Reference

`#include <intermediate.h>`

Inherits TIntermTyped.

## Public Member Functions

| TIntermSymbol (int i, const TString &sym, const TType &t)
virtual TIntermSymbol * | getAsSymbolNode ()
int | getId () const
const TString & | getOriginalSymbol () const
const TString & | getSymbol () const
void | setId (int newId)
void | setSymbol (const TString &sym)
virtual void | traverse (TIntermTraverser *)
Public Member Functions inherited from TIntermTyped
| TIntermTyped (const TType &t)
int | elementRegisterCount () const
int | getArraySize () const
virtual TIntermTyped * | getAsTyped ()
const char * | getBasicString () const
TBasicType | getBasicType () const
TString | getCompleteString () const
int | getNominalSize () const
TPrecision | getPrecision () const
TQualifier | getQualifier () const
const char * | getQualifierString () const
const TType & | getType () const
TType * | getTypePointer ()
bool | isArray () const
bool | isMatrix () const
bool | isScalar () const
bool | isVector () const
void | setType (const TType &t)
int | totalRegisterCount () const
Public Member Functions inherited from TIntermNode
| TIntermNode ()
virtual | ~TIntermNode ()
virtual TIntermAggregate * | getAsAggregate ()
virtual TIntermBinary * | getAsBinaryNode ()
virtual TIntermConstantUnion * | getAsConstantUnion ()
virtual TIntermLoop * | getAsLoopNode ()
virtual TIntermSelection * | getAsSelectionNode ()
virtual TIntermUnary * | getAsUnaryNode ()
const TSourceLoc & | getLine () const
| POOL_ALLOCATOR_NEW_DELETE ()
void | setLine (const TSourceLoc &l)

## Protected Attributes

int | id
TString | originalSymbol
TString | symbol
Protected Attributes inherited from TIntermTyped
TType | type
Protected Attributes inherited from TIntermNode
TSourceLoc | line

## Detailed Description

Definition at line 340 of file intermediate.h.

## Constructor & Destructor Documentation

TIntermSymbol::TIntermSymbol | ( | int | i,
|  | const TString & | sym,
|  | const TType & | t
| ) |  |

inline

Definition at line 345 of file intermediate.h.

References originalSymbol, sym, and symbol.

## Member Function Documentation

virtual TIntermSymbol* TIntermSymbol::getAsSymbolNode | ( |  | ) |

inlinevirtual

Reimplemented from TIntermNode.

Definition at line 357 of file intermediate.h.

Referenced by ForLoopUnroll::FillLoopIndexInfo(), CollectAttribsUniforms::visitAggregate(), sh::OutputHLSL::visitAggregate(), and TOutputGLSLBase::writeFunctionParameters().

int TIntermSymbol::getId | ( |  | ) | const

inline

Definition at line 348 of file intermediate.h.

References id.

Referenced by ForLoopUnroll::FillLoopIndexInfo(), ForLoopUnroll::GetLoopIndexValue(), TDependencyGraph::getOrCreateSymbol(), sh::OutputHLSL::handleExcessiveLoop(), ForLoopUnroll::NeedsToReplaceSymbolWithValue(), TDependencyGraphOutput::visitSymbol(), and MapLongVariableNames::visitSymbol().

const TString& TIntermSymbol::getOriginalSymbol | ( |  | ) | const

inline

Definition at line 354 of file intermediate.h.

References originalSymbol.

Referenced by CollectAttribsUniforms::visitAggregate().

const TString& TIntermSymbol::getSymbol | ( |  | ) | const

inline

Definition at line 349 of file intermediate.h.

References symbol.

Referenced by TParseContext::addIndexExpression(), sh::OutputHLSL::argumentString(), TParseContext::executeInitializer(), TParseContext::lValueErrorCheck(), sh::OutputHLSL::samplerRegister(), sh::OutputHLSL::uniformRegister(), CollectAttribsUniforms::visitAggregate(), sh::OutputHLSL::visitAggregate(), sh::OutputHLSL::visitBinary(), TDependencyGraphOutput::visitSymbol(), sh::SearchSymbol::visitSymbol(), TOutputGLSL::visitSymbol(), TOutputGLSLBase::visitSymbol(), TVersionGLSL::visitSymbol(), sh::OutputHLSL::visitSymbol(), MapLongVariableNames::visitSymbol(), and TOutputGLSLBase::writeFunctionParameters().

void TIntermSymbol::setId | ( | int | newId | ) |

inline

Definition at line 351 of file intermediate.h.

Referenced by switch().

void TIntermSymbol::setSymbol | ( | const TString & | sym | ) |

inline

Definition at line 352 of file intermediate.h.

References sym, and symbol.

Referenced by MapLongVariableNames::visitSymbol().

void TIntermSymbol::traverse | ( | TIntermTraverser * | it | ) |

virtual

Implements TIntermNode.

Definition at line 26 of file IntermTraverse.cpp.

References TIntermTraverser::visitSymbol().

Referenced by sh::OutputHLSL::handleExcessiveLoop(), sh::OutputHLSL::visitAggregate(), sh::OutputHLSL::visitBinary(), and sh::OutputHLSL::visitBranch().

## Member Data Documentation

int TIntermSymbol::id

protected

Definition at line 360 of file intermediate.h.

Referenced by getId().

TString TIntermSymbol::originalSymbol

protected

Definition at line 362 of file intermediate.h.

Referenced by getOriginalSymbol(), and TIntermSymbol().

TString TIntermSymbol::symbol

protected

Definition at line 361 of file intermediate.h.

Referenced by getSymbol(), setSymbol(), and TIntermSymbol().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/intermediate.h
- zenilib/jni/external/angle/src/compiler/IntermTraverse.cpp